curl --request PATCH \
--url https://api.synctera.com/v2/monitoring/alerts/{alert_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"metadata": {},
"person_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"title": "Ireland Competition and Consumer Protection Commission Criminal Court Cases",
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}
'import requests
url = "https://api.synctera.com/v2/monitoring/alerts/{alert_id}"
payload = {
"business_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"metadata": {},
"person_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"title": "Ireland Competition and Consumer Protection Commission Criminal Court Cases",
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_id: 'b01db9c7-78f2-4a99-8aca-1231d32f9b96',
metadata: {},
person_id: 'b01db9c7-78f2-4a99-8aca-1231d32f9b96',
title: 'Ireland Competition and Consumer Protection Commission Criminal Court Cases',
vendor_info: {content_type: 'application/json', json: {}, vendor: 'SOCURE'}
})
};
fetch('https://api.synctera.com/v2/monitoring/alerts/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Update a monitoring alert
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for this monitoring alert.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Monitoring alert to update.
Unique ID for the business. Exactly one of business_id or person_id must be set.
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.
Unique ID for the person. Exactly one of person_id or business_id must be set.
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
The status of the alert. Any of the following:
ACTIVE– alert has been issued and should be investigated.SUPPRESSED– alert is a false positive, alert should be dismissed, or has been otherwise investigated.
ACTIVE, SUPPRESSED A description of the monitoring alert.
"Ireland Competition and Consumer Protection Commission Criminal Court Cases"
The information provided to Synctera from the vendor. Interpretation of this object is up to the client.
- Vendor Info
- Vendor Info
Show child attributes
Show child attributes
Response
Updated monitoring alert.
Was this page helpful?

